php-container-interop-1.2.0-1.mga6.noarch.rpm


Advertisement

Description

php-container-interop - Promoting the interoperability of container objects (DIC, SL, etc.)

Property Value
Distribution Mageia 6.0
Repository Mageia Core i586
Package name php-container-interop
Package version 1.2.0
Package release 1.mga6
Package architecture noarch
Package type rpm
Installed size 94.47 KB
Download size 74.59 KB
Official Mirror distrib-coffee.ipsl.jussieu.fr
container-interop tries to identify and standardize features in container
objects (service locators, dependency injection containers, etc.) to achieve
interopererability.
Through discussions and trials, we try to create a standard, made of common
interfaces but also recommendations.
If PHP projects that provide container implementations begin to adopt these
common standards, then PHP applications and projects that use containers can
depend on the common interfaces instead of specific implementations. This
facilitates a high-level of interoperability and flexibility that allows users
to consume any container implementation that can be adapted to these interfaces.
The work done in this project is not officially endorsed by the PHP-FIG [1],
but it is being worked on by members of PHP-FIG and other good developers. We
adhere to the spirit and ideals of PHP-FIG, and hope this project will pave the
way for one or more future PSRs.
Autoloader: /usr/share/php/Interop/Container/autoload.php
[1] http://www.php-fig.org/

Alternatives

Package Version Architecture Repository
php-container-interop-1.2.0-1.mga6.noarch.rpm 1.2.0 noarch Mageia Core
php-container-interop - - -

Requires

Name Value
php >= 5.3.0
php-composer(fedora/autoloader) -
php-composer(psr/container) >= 1.0

Provides

Name Value
php-composer(container-interop/container-interop) == 1.2.0
php-container-interop == 1.2.0-1.mga6

Download

Type URL
Binary Package php-container-interop-1.2.0-1.mga6.noarch.rpm
Source Package php-container-interop-1.2.0-1.mga6.src.rpm

Install Howto

  1. Enable Mageia Core repository on "Install and Remove Software"
  2. Update packages list:
    # urpmi.update -a
  3. Install php-container-interop rpm package:
    # urpmi php-container-interop

Files

Path
/usr/share/doc/php-container-interop/LICENSE
/usr/share/doc/php-container-interop/README.md
/usr/share/doc/php-container-interop/composer.json
/usr/share/doc/php-container-interop/docs/ContainerInterface-meta.md
/usr/share/doc/php-container-interop/docs/ContainerInterface.md
/usr/share/doc/php-container-interop/docs/Delegate-lookup-meta.md
/usr/share/doc/php-container-interop/docs/Delegate-lookup.md
/usr/share/doc/php-container-interop/docs/images/interoperating_containers.png
/usr/share/doc/php-container-interop/docs/images/priority.png
/usr/share/doc/php-container-interop/docs/images/side_by_side_containers.png
/usr/share/php/Interop/
/usr/share/php/Interop/Container/ContainerInterface.php
/usr/share/php/Interop/Container/autoload.php
/usr/share/php/Interop/Container/Exception/ContainerException.php
/usr/share/php/Interop/Container/Exception/NotFoundException.php

Changelog

2017-05-10 - guillomovitch <guillomovitch> 1.2.0-1.mga6
+ Revision: 1099956
- imported package php-container-interop

See Also

Package Description
php-ctype-5.6.30-2.mga6.i586.rpm Ctype extension module for PHP
php-curl-5.6.30-2.mga6.i586.rpm Curl extension module for PHP
php-cyrus-1.0-38.mga6.i586.rpm An extension which eases the manipulation of Cyrus IMAP servers for PHP
php-dav-1.2-12.mga6.i586.rpm A PHP WebDAV for PHP
php-dba-5.6.30-2.mga6.i586.rpm DBA extension module for PHP
php-dbase-5.1.0-10.mga6.i586.rpm dBase database file access functions
php-dbx-1.1.2-11.mga6.i586.rpm DBX extension module for PHP
php-devel-5.6.30-2.mga6.i586.rpm Development package for PHP5
php-dio-0.0.7-7.mga6.i586.rpm Direct I/O extension module for PHP
php-doc-5.6.30-2.mga6.noarch.rpm Documentation for PHP
php-dom-5.6.30-2.mga6.i586.rpm Dom extension module for PHP
php-doublemetaphone-1.0.1-1.mga6.i586.rpm Provide Double Metaphone functionality
php-enchant-5.6.30-2.mga6.i586.rpm Libenchant binder, support near all spelling tools
php-endroid-qrcode-1.5.4-1.mga6.noarch.rpm Endroid QR Code Generator
php-enygma-yubikey-3.2-1.mga6.noarch.rpm PHP library to interface with the Yubikey REST API
Advertisement
Advertisement